#include "TypeDefines.h"
#include "MsgDefines.h"


// Defines nur fr CDirectDraw
#define NORMAL_DDSCL				DDSCL_EXCLUSIVE | DDSCL_FULLSCREEN


// Defines nur fr CDirectDrawFont
#define FNT_WHOLECHARTABLE			0
#define FNT_WHOLECHARS				1
#define FNT_ONLYLETTERS				2

#define FNT_8X8						0
#define FNT_12X12					1
#define FNT_16X16					2
#define FNT_20X20					3
#define FNT_24X24					4
#define FNT_28X28					5
#define FNT_32X32					6

#define FNT_MAX_CHARS				255

#define CHR_NOTPRESENT				65535
#define PIXEL_WIDTH					320
#define PIXEL_HEIGHT				200
#define MEM_320X200					PIXEL_WIDTH*PIXEL_HEIGHT


// Defines nur fr CDirectDrawSurface
#define NORMAL_DDSD					DDSD_CAPS

#define NORMAL_DDSCAPS_BACKBUFFER	DDSCAPS_FLIP | DDSCAPS_COMPLEX | DDSCAPS_VIDEOMEMORY
#define NORMAL_DDSCAPS_D3D			DDSCAPS_FLIP | DDSCAPS_COMPLEX | DDSCAPS_3DDEVICE
#define NORMAL_DDSCAPS_ONLYPRIMARY	0


// Anzahl Treiber, die maximal mit CDirectXInfo und CDirectXDriverInfo
// verwaltet werden kann (pro Device)
#define MAX_DRIVERS					99
// Anzahl Auflsungen, die maximal mit CDirectXDriverInfo verwaltet
// werden kann (pro Device)
#define MAX_RESOLUTIONS				99

// maximale Anzahl Zeichen fr einen Treibernamen
#define MAX_DRIVERNAME_SIZE			128
// maximale Anzahl Zeichen fr einen Treiberdesriptor
#define MAX_DRIVERDESC_SIZE			128

// alle registrierbaren Treibertypen
#define DXI_UNKNOWN					0
#define DXI_DIRECTDRAW				1
#define DXI_DIRECTSOUND				2
#define DXI_DIRECT3D				3
#define DXI_DIRECTINPUT				4
#define DXI_ALLDEVICES				5

// aktuelle Versionsnummer, an die DLL angepasst ist
#define DXDLL_DIRECTX_VERSION		6


// meine Fehlernummer
#define DXDLL_OK					0
#define DXDLL_INTERNALERROR			-255

