// Hier sind ein paar Routinen zu finden, welche im Allgemeinen
// ziemlich oft bentigt werden

#if !defined(AFX_TOOLS_H__348DE225_C7FE_11D2_AD5A_A20763F07C4B__INCLUDED_)
#define AFX_TOOLS_H__348DE225_C7FE_11D2_AD5A_A20763F07C4B__INCLUDED_

// Standardwindowsincludes einbinden
#include "windows.h"
#include "windowsx.h"
// fr Soundausgabe verwendete Typen einbinden (unbedingt bei DS erforderlich!)
#include "mmsystem.h"
// Standardlibary einbinden
#include "stdlib.h"
#include "io.h"
#include "fcntl.h"
#include "math.h"


#define PI 3.1415926535898

// Zeigt eine Fehlermeldung an und verlt nachher
// Routine mit Rckgabewert DXDLL_INTERNALERROR
int __declspec(dllexport) Fail(HWND hwnd, char* Msg);
// ermittelt, ob eine Datei auf Festplatte existiert
bool __declspec(dllexport) FileExists(LPCSTR pFilename);
// potenziert angegebene Zahl
double __declspec(dllexport) Potenz(double dZahl, int iExponent);
// rundet angegebene Zahl auf Anzahl Stellen
double __declspec(dllexport) round(double dZahl, int iStellen);

// Erzeugt die Standard-LOG-Datei zum schreiben
int __declspec(dllexport) CreateLOGFile();
// Erzeugt die LOG-Datei zum schreiben
int __declspec(dllexport) CreateLOGFile(LPCSTR lpcFilename);
// schliet die LOG-Datei
int __declspec(dllexport) CloseLOGFile();
// schreibt eine Zeile in die bereits geffnete LOG-Datei
int __declspec(dllexport) WriteLOGLine(LPCSTR lpcStr);
// schreibt einen Wert (HRESULT) in LOG-Datei
int __declspec(dllexport) WriteLOGHResult(HRESULT hres);
// schreibt eine Begrenzungslinie ("-") in die bereits geffnete LOG-Datei
int __declspec(dllexport) WriteLOGSoftEndSection();
// schreibt eine Begrenzungslinie ("=") in die bereits geffnete LOG-Datei
int __declspec(dllexport) WriteLOGEndSection();

#endif // !defined(AFX_TOOLS_H__348DE225_C7FE_11D2_AD5A_A20763F07C4B__INCLUDED_)
